Difference between revisions of "ManualSketcher/it"

From FreeCAD Documentation
Jump to: navigation, search
m
Line 24: Line 24:
 
{{:Sketcher_Trimming/it}}{{clear}}<H2 align="center"> </H2>
 
{{:Sketcher_Trimming/it}}{{clear}}<H2 align="center"> </H2>
 
{{:Sketcher_External/it}}{{clear}}<H2 align="center"> </H2>
 
{{:Sketcher_External/it}}{{clear}}<H2 align="center"> </H2>
{{:Sketcher_ConstructionMode/it}}{{clear}}<H2 align="center"> </H2>
+
{{:Sketcher ToggleConstruction/it}}{{clear}}<H2 align="center"> </H2>
  
 
<H2 align="center"> Ambiente Sketcher: I vincoli </H2>
 
<H2 align="center"> Ambiente Sketcher: I vincoli </H2>

Revision as of 21:43, 8 September 2018

Documentazione di FreeCAD

Ambiente Sketcher

Questo è la guida ai comandi di FreeCAD. Comprende le pagine del Wiki della documentazione di FreeCAD che si riferiscono ai comandi. Questa versione è stata creata principalmente per essere stampata come un unico grande documento o per consentire una panoramica veloce sulle pagine dei comandi. Se si sta leggendo questo online, si consiglia di andare direttamente alla Guida in linea, che è più facile da esplorare.


Arrow-left.svg Workbench Ship.svg Ambiente Ship Pagina precedente:
Pagina successiva: Ambiente Spreadsheet Workbench Spreadsheet.svg Arrow-right.svg
Workbench Sketcher.svg

The FreeCAD Sketcher Workbench Icon


Introduzione

L'ambiente Sketcher serve a creare delle geometrie 2D destinate ad essere utilizzate nel modulo PartDesign per produrre oggetti Parte o in altri moduli, come ad esempio in Architettura.

In genere, un disegno 2D è il punto di partenza per la maggior parte dei modelli CAD. Un semplice schizzo 2D può essere estruso per creare una forma 3D; altri schizzi 2D possono essere usati per creare delle tasche in questa forma e ulteriori schizzi possono essere utilizzati per definire delle estrusioni sulla superficie dell'oggetto 3D.
Insieme alle operazioni booleane sui solidi definiti nell'ambiente Part, lo Sketcher Sketcher costituisce la base del metodo geometria solida costruttiva (CSG) per la costruzione di solidi. Inoltre, insieme alle operazioni di PartDesign, Sketcher costituisce anche la base della metodologia di modifica delle funzioni per la creazione di solidi.

L'ambiente Sketcher mette a disposizione i vincoli. Consente di vincolare le forme 2D a precise definizioni geometriche in termini di lunghezza, angoli e relazioni (orizzontalità, verticalità, perpendicolarità, ecc.).
Un solutore dei vincoli calcola la quantità di vincoli applicati alla geometria 2D e permette l'esplorazione interattiva dei gradi di libertà dello schizzo.

Contents

FC ConstrainedSketch.png

Uno schizzo base, completamente vincolato‎.


Nozioni di base sugli schizzi vincolati

Per spiegare come funziona il modulo Sketcher, è utile fare un confronto con il modo tradizionale di disegnare.

Disegno tradizionale

Il modo tradizionale di disegno CAD è derivato dal vecchio tavolo da disegno.
Le viste ortogonali 2D sono disegnate manualmente e finalizzate alla produzione di disegni tecnici (noti anche come dettagli o particolari). Gli oggetti sono disegnati esattamente con le loro forme, misure o dimensioni previste. Per tracciare una linea orizzontale lunga 100 mm a partire dal punto (0,0), si attiva lo strumento linea, si fa clic sullo schermo o si inserisce le coordinate (0,0) per il primo punto, poi si fa un secondo clic o si inserisce il secondo punto di coordinate (100,0). Oppure, si costruisce una linea base senza riguardo alla sua posizione e in seguito la si sposta. Dopo aver disegnato le geometrie si aggiungono le dimensioni.

Schizzo vincolato

Lo strumento Sketcher si allontana da questa logica. Non è più necessario disegnare gli oggetti esattamente come sono desiderati, perché è possibile ridefinirli in seguito tramite i vincoli. È possibile disegnare liberamente gli oggetti e dopo, fintanto che non vengono vincolati, modificarli. Sostanzialmente, essi sono flottanti, quindi si possono spostare, allungare, scalare, e così via. Questo permette una grande flessibilità nel processo di progettazione.

Cosa sono i vincoli?

Invece delle dimensioni, i vincoli vengono utilizzati per limitare i gradi di libertà di un oggetto. Ad esempio, una linea senza vincoli ha 4 gradi di libertà (DOF Degrees Of Freedom): essa può essere spostata orizzontalmente o verticalmente, può essere allungata, e può essere ruotata.

Applicando a una linea un vincolo orizzontale o verticale, oppure un vincolo angolare (rispetto ad un'altra linea o ad uno degli assi) si limita la sua capacità di ruotare, lasciandola quindi con solo 2 gradi di libertà. Bloccando uno dei suoi punti rispetto all'origine si rimuove un ulteriore grado di libertà. Applicando un vincolo dimensionale si rimuove l'ultimo grado di libertà. A questo punto, la linea è quindi considerata completamente vincolata.

Più oggetti possono essere vincolati tra di loro. Due linee possono essere unite attraverso uno dei loro punti con il vincolo punto coincidente. Tra due linee si può impostare un angolo, oppure impostarle perpendicolari. Una linea può essere tangente ad un arco o a un cerchio, e così via. Per vincolare uno schizzo complesso, con più oggetti, sono possibili diverse soluzioni, e renderlo completamente vincolato significa che almeno una di queste è stato raggiunta in base ai vincoli applicati.

Ci sono due tipi di vincoli: geometrici e dimensionali. Essi sono descritti nella successiva sezione dedicata agli strumenti.

I vincoli sono controllati dal solutore

Uso corretto dell'ambiente Sketcher

Il modulo Sketcher non è pensato per produrre disegni dettagliati in 2D.
Dopo che gli schizzi sono stati utilizzati per generare una forma solida vengono automaticamente nascosti. I vincoli (la quotatura dei vincoli e i segni grafici di vincolo) sono visibili solo in modalità Modifica sketch.

Se serve solo produrre delle viste 2D per la stampa e non si intende creare dei modelli 3D, si può utilizzare l'ambiente Draft. A differenza degli elementi di Sketcher, gli oggetti di Draft non usano i vincoli, ma sono forme semplici definite al momento della creazione. Sia Draft che Sketcher possono essere utilizzati per il disegno di geometrie 2D e la creazione di solidi 3D, sebbene il loro uso previsto sia diverso. Sketcher viene normalmente utilizzato insieme a Part e PartDesign per creare solidi. Draft viene normalmente utilizzato per semplici disegni planari su una griglia, come quando si disegna una pianta architettonica, quindi Draft viene utilizzato principalmente con Arch. Lo strumento Da Draft a Schizzo converte un oggetto Draft in un oggetto Sketch e viceversa. Molti strumenti che richiedono un elemento 2D come input funzionano con entrambi i tipi di oggetto poiché viene eseguita automaticamente una conversione interna.

Sketching Workflow

Uno Sketch è sempre in 2 dimensioni (2D). Per creare un solido, viene creato prima lo schizzo 2D di una singola area chiusa e poi essa viene estrusa o rivoluzionata per aggiungere la terza dimensione, creando un solido 3D dallo schizzo 2D.

Se lo schizzo contiene dei segmenti che si intersecano, punti non collocati esattamente su un segmento, o punti finali di segmenti adiacenti che non sono coincidenti, l'operazione di Pad o di Rivoluzione non crea un solido. A volte uno schizzo che contiene linee che si intersecano può funzionare per un'operazione semplice come un Pad, ma le operazioni successive falliscono. È meglio evitare di attraversare le linee. Come eccezione, questa regola non si applica alla geometria di costruzione (linee blu).

All'interno dell'area racchiusa si possono avere delle piccole aree non sovrapposte. Queste diverranno dei "vuoti" quando si crea il solido 3D.

Quando uno schizzo è completamente vincolato, le funzioni dello schizzo diventano verdi. La geometria di costruzione rimane blu. Di solito a questo punto lo schizzo è "finito" e adatto per l'uso nella creazione di un solido 3D. Tuttavia, una volta chiusa la finestra di dialogo Schizzo, può essere utile andare in Part ed eseguire Verifica geometria per assicurarsi che nello schizzo non ci siano funzioni che possono causare problemi successivi.

Gli strumenti

Gli strumenti dell'Ambiente Sketcher si trovano nel menu che appare quando si carica questo ambiente.

  • Sketcher NewSketch.svg Nuovo schizzo: Crea un nuovo schizzo su una faccia selezionata o in un piano. Se non si esegue nessuna selezione, di default, viene utilizzato il piano XY.
  • Sketcher LeaveSketch.svg Esci: Termina la modalità di modifica dello schizzo.
  • Sketcher ViewSketch.svg Vista schizzo: Imposta la vista del modello in modo perpendicolare al piano dello schizzo.
  • Convalida lo schizzo: controlla se nell'area di tolleranza ci sono dei punti distinti e li fa coincidere.

Geometrie

Gli strumenti per creare gli oggetti.

  • Sketcher CreatePoint.svg Punto: Disegna un punto.
  • Sketcher Line.svg Linea tra due punti: Disegna un segmento delimitato da due punti. Per quanto riguarda alcuni vincoli le linee sono infinite.
  • Sketcher CompCreateArc.png Archi: Questo è un menu icona nella barra degli strumenti di Sketcher che contiene i seguenti comandi:
  • Sketcher Arc.svg Arco: Disegna un arco di circonferenza specificando il centro, il raggio, l'angolo iniziale e l'angolo finale.
  • Sketcher Create3PointArc.svg Arco da tre punti: Disegna un arco da due punti finali e un punto della circonferenza.
  • Sketcher CompCreateCircle.png Cerchi: Questo è un menu icona nella barra degli strumenti Sketcher che contiene i seguenti comandi:
  • Sketcher Circle.svg Circonferenza: Disegna una circonferenza prendendo in input il centro e il raggio.
  • Sketcher CompCreateConic.png Sezioni di coni: l'ambiente Schizzo fornisce le seguenti sezioni coniche. A differenza delle B-spline, possono essere usate con tutti i tipi di vincoli come tangenti, punto su oggetto o ortogonale.
  • Sketcher CompCreateBSpline.png Crea una B-spline: Questo è un menu icona nella barra degli strumenti Sketcher che contiene i seguenti comandi:
  • Sketcher CreatePolyline.svg Polilinea : Disegna una linea composta da segmenti definiti da punti. Premendo il tasto M mentre si disegna una polilinea si alternano le diverse modalità della polilinea.
  • Sketcher CreateRectangle.svg Rettangolo: Disegna un rettangolo specificando gli angoli opposti.
  • Sketcher CompCreateRegularPolygon.png Poligono regolare: Questo è una icona menu nella barra degli strumenti Sketcher che contiene i seguenti comandi:
  • Sketcher CreateRegularPolygon.svg Poligono regolare : Disegna un poligono regolare selezionando il numero di lati e selezionando due punti: il centro e un angolo.
  • Sketcher CreateSlot.png Asola: Disegna un rettangolo con due lati opposti raccordati con un semicerchio, un'asola.
  • Sketcher CreateFillet.svg Raccorda: Raccorda due linee unite in un punto. Selezionare entrambe le linee o fare clic sul punto di angolo, poi attivare lo strumento.
  • Sketcher Trimming.svg Rifila: Accorcia una linea, un cerchio o un arco fino al primo nodo, punto di intersezione.
  • Sketcher AlterConstruction.svg Costruzione: Attiva o disattiva la geometria dello schizzo dalla o nella modalità di costruzione. La geometria di costruzione è mostrata in blu e viene presa in considerazione solo nella modalità di modifica dello schizzo.

Vincoli dello Schizzo

I vincoli sono utilizzati per stabilire le relazioni tra gli elementi del disegno, e per bloccare il disegno lungo l'asse verticale e l'asse orizzontale. Alcuni vincoli richiedono dei Vincoli di supporto.

Vincoli geometrici

Questi vincoli non sono associati a valori numerici.

  • Constraint PointOnPoint.svg Coincidente: Crea un vincolo di coincidenza (punto-con-punto) tra due punti selezionati.
  • Constraint PointOnObject.svg Punto su oggetto: Crea un vincolo (fissa) un punto-su-un-oggetto sull'elemento selezionato.
  • Constraint Vertical.svg Verticale: Crea un vincolo verticale per le linee o le polilinee selezionate. Si può selezionare più oggetti.
  • Constraint Horizontal.svg Orizzontale: Crea un vincolo orizzontale per le linee o le polilinee selezionate. Si può selezionare più oggetti.
  • Constraint Parallel.svg Parallela: Crea un vincolo di parallelismo tra due linee selezionate.
  • Constraint Perpendicular.svg Perpendicolare: Crea un vincolo di perpendicolarità tra due linee selezionate.
  • Constraint Tangent.svg Tangente: Crea un vincolo di tangenza tra due entità selezionate, o un vincolo collineare tra due segmenti di linea.
  • Constraint EqualLength.svg Uguaglianza: Crea un vincolo di uguaglianza tra due entità selezionate. Se usato su cerchio o archi, il raggio viene posto uguale.
  • Constraint Symmetric.svg Simmetria: Crea un vincolo simmetrica tra 2 punti rispetto a una linea.

Vincoli dimensionali

Vincoli associati a dati. Per questi vincoli si possono usare le espressioni. I dati possono essere prelevati da un foglio di calcolo.

Le icone blu di questi vincoli si riferiscono alle funzioni introdotte nella versione 0.16 di FreeCAD, attivabili con Sketcher ToggleConstraint.png Commuta vincoli.

  • Sketcher ConstrainLock.svg Sketcher ConstrainLock Driven.png Bloccato: Crea un vincolo che blocca l'elemento selezionato fissando le sue dimensioni verticali e orizzontali rispetto all'origine (le dimensioni si possono modificare in seguito).
  • Constraint HorizontalDistance.svg Constraint HorizontalDistance Driven.png Distanza orizzontale: Fissa la distanza orizzontale tra 2 punti o tra gli estremi di una linea. Se viene selezionato un solo elemento, la distanza viene impostata a partire dall'origine.
  • Constraint VerticalDistance.svg Constraint VerticalDistance Driven.png Distanza verticale: Fissa la distanza verticale tra 2 punti o tra gli estremi di una linea. Se viene selezionato un solo elemento, la distanza viene impostata a partire dall'origine.
  • Constraint Length.svg Constraint Length Driven.png Lunghezza: Definisce la distanza di una linea selezionata vincolandone la lunghezza o definisce la distanza tra due punti vincolando la distanza tra di loro.
  • Constraint Radius.svg Constraint Radius Driven.png Raggio: Vincola il raggio di un arco o un cerchio selezionato.
  • Constraint InternalAngle.png Constraint InternalAngle Driven.png Angolo interno: Fissa l'angolo interno tra due linee selezionate (o l'inclinazione di una linea).
  • Constraint InternalAlignment.svg Allineamento interno: Allinea gli elementi selezionati alla forma selezionata, ad esempio una linea da convertire in asse maggiore di una ellisse.

Strumenti dello Sketcher

  • Sketcher Element Ellipse All.svg Mostra/Nascondi la geometria interna: Ricrea la geometria interna mancante o eliminata non necessaria di un'ellisse selezionata, o arco di ellisse o iperbole o parabola o B-spline.

Sketcher B-spline tools

Spazio virtuale dello Sketcher

Preferenze

Migliori pratiche

Ogni utente CAD, nel corso del tempo, sviluppa un proprio modo di lavorare, ma ci sono alcuni criteri generali che è utile seguire.

  • Una serie di schizzi semplici è più facile da gestire rispetto a un unico schizzo molto complesso. Ad esempio, si può creare un primo schizzo per produrre (con una estrusione o una rivoluzione) la forma 3D di base, poi un secondo schizzo per eseguire i fori o le aperture (tasche). Alcuni dettagli possono essere omessi e realizzati in seguito come operazioni 3D. È possibile decidere di evitare gli smussi nel disegno, se ce ne sono troppi, e aggiungerli dopo come caratteristica 3D.
  • Creare sempre un profilo chiuso altrimenti il disegno non produrrà un solido, bensì una serie di facce aperte. Quando si desidera escludere alcuni oggetti nella creazione del solido, trasformarli in elementi di costruzione con lo strumento Modalità costruzione.
  • Utilizzare la funzione Vincoli automatici per ridurre il numero di vincoli da inserire manualmente.
  • Come regola generale, si applicano prima i vincoli geometrici, poi i vincoli dimensionali, e infine si blocca il disegno. Da ricordare: le regole sono fatte per essere infrante. Quando ci sono difficoltà nel manipolare il disegno, può essere utile vincolare alcuni oggetti prima di completare il profilo.
  • Se possibile, centrare il disegno nell'origine (0,0) con il vincolo Blocca. Se il disegno non è simmetrico, posizionare uno dei suoi punti nell'origine, o scegliere una cifra tonda semplice per le distanze di blocco. Nella versione v0.12, i vincoli esterni (vincoli rispetto a geometrie 3D esistenti come a bordi o altri schizzi) non sono ancora implementati. Questo significa che per collegare i disegni successivi alla geometria del primo schizzo, si devono impostare manualmente le distanze relative al primo disegno. Un vincolo di blocco (25,75) dall'origine è più facile da ricordare che (23.47,73.02).
  • Se c'è la possibilità di scegliere tra il vincolo lunghezza Sketcher ConstrainDistance.png e il vincolo distanza orizzontale Sketcher ConstrainDistanceX.png o distanza verticale Constraint Vertical.png, preferire questi ultimi. I vincoli di distanza orizzontale e verticale sono computazionalmente più economici.
  • In generale, i vincoli migliori da utilizzare sono: Orizzontale e Verticale, Lunghezza Orizzontale e Verticale, Tangente nel punto. Se possibile, limitare l'uso di questi vincoli: Lunghezza generica, Tangenza Edge-to-edge, Punto su linea; Simmetria.
  • In caso di dubbi sulla validità di uno schizzo una volta completato (le funzioni diventano verdi), chiudere la finestra di dialogo di Sketcher, passare a Part ed eseguire Controlla la geometria.

Tutorial

Arrow-left.svg Workbench Ship.svg Ambiente Ship Pagina precedente:
Pagina successiva: Ambiente Spreadsheet Workbench Spreadsheet.svg Arrow-right.svg

Ambiente Sketcher: Strumenti di costruzione delle geometrie

Sketcher Point/it

Sketcher Arc/it

Sketcher Circle/it

Sketcher Line/it

Sketcher Polyline/it

Sketcher Rectangle/it

Sketcher Fillet/it

Arrow-left.svg Sketcher CreateFillet.png Raccordo Pagina precedente:
Pagina successiva: Estendi lo spigolo Sketcher Extend.svg Arrow-right.svg

Sketcher Trimming.png Rifila

Posizione nel menu
Sketch → Geometrie → Rifila
Ambiente
Sketcher
Avvio veloce
Nessuno
Introdotto nella versione
0.12
Vedere anche
Estendi lo spigolo


Descrizione

Questo strumento accorcia, rifila una linea fino al primo punto di intersezione, all'interno o all'esterno di una sagoma.

SketcherTrimExample1.png SketcherTrimExample2.png SketcherTrimExample3.png

Utilizzo

  1. Premere il pulsante Sketcher Trimming.png rifila.
  2. Cliccare sulla linea da rifilare (sulla parte che si intende cancellare)
  3. Il segmento di linea verrà ritagliato sulla / e linea / e sovrapposta più vicina. Se ci sono altri elementi di schizzo su entrambi i lati della posizione cliccata, il pezzo cliccato viene ritagliato.
  4. Premere il tasto Esc o fare clic con il tasto destro per terminare l'operazione e uscire dalla funzione.

Limitazioni

  • Per il momento archi di iperbole, archi di parabola e B-splines non possono essere tagliati.


Arrow-left.svg Sketcher CreateFillet.png Raccordo Pagina precedente:
Pagina successiva: Estendi lo spigolo Sketcher Extend.svg Arrow-right.svg

Arrow-left.svg Sketcher Extend.svg Estendi lo spigolo Pagina precedente:
Pagina successiva: Copia carbone Sketcher CarbonCopy.svg Arrow-right.svg

Sketcher External.svg Geometria esterna

Posizione nel menu
Sketch → Geometrie → Geometria Esterna
Ambiente
Sketcher
Avvio veloce
X
Introdotto nella versione
-
Vedere anche
Linea di costruzione


Descrizione

Lo strumento Geometria esterna di Sketcher serve quando è necessario applicare un vincolo tra la geometria dello schizzo e qualcosa di esterno allo schizzo. Funziona inserendo un collegamento di tipo vincolo di costruzione geometrico nello schizzo. Il colore predefinito dei bordi esterni collegati, è magenta. Come la geometria di costruzione standard, non collegata (blu), anche la geometria esterna collegata è visibile solo quando il disegno è in modalità di modifica e non viene utilizzata nel risultato successivo, nè usata in un altro strumento. Entrambi i tipi di geometria di costruzione nello schizzo possono essere utilizzati come riferimenti per i vincoli.

Sketcher ExternalEsempio1.png

Utilizzo

  1. Creare un nuovo schizzo o aprire uno schizzo esistente.
  2. Attivare lo strumento Geometria esterna.
  3. Selezionare il bordo o il punto che si vuole collegare.
  4. Premere Esc o selezionare un altro strumento per interrompere l'importazione della geometria nello schizzo.

Regole di selezione

Le regole per selezione gli oggetti che possono essere importati differiscono drasticamente tra FC v0.16 e FC v0.17.

v0.17

  • Sono consentiti solo bordi e vertici da oggetti dello stesso sistema di coordinate.

Cioè, lo schizzo e l'oggetto devono essere nello stesso corpo, o nella stessa parte, o entrambi al di fuori di qualsiasi parte e corpo.

Ad esempio, se lo schizzo aperto si trova in Body, è possibile utilizzare un altro schizzo dal Body come geometria esterna, ma non è possibile utilizzare uno schizzo da Body001 o un bordo di un cubo di Part che si trovi nella radice del progetto. Usare la funzione Shapebinder (Lega-forme) per portare una copia dell'oggetto nel sistema di coordinate dello schizzo aperto. Dopo è possibile usare i bordi o i vertici dell'oggetto Shapebinder.

  • Non sono permesse dipendenze circolari.

Ciò significa che non è possibile collegarsi ad un Pocket creato con questo schizzo. Non è possibile collegarsi ad alcun oggetto che dipenda dallo schizzo.

A differenza della v0.16, per poter utilizzare questo strumento lo schizzo non deve essere su nessuna faccia. I collegamenti diretti tra gli schizzi sono possibili e incoraggiati, poiché sono più affidabili.

v0.16 e precedenti

  • È possibile collegarsi solo ai bordi o vertici della forma su cui è mappato lo schizzo.

Per esempio. Se lo Schizzo è stato creato su una faccia di Pad, si possono usare solo i bordi o vertici del Pad. Non è possibile utilizzare i bordi dello schizzo utilizzati per creare Pad. Non si possono usare i bordi del Pad che sono ereditati su una Tasca fatta con questo schizzo (si deve nascondere Pocket e mostrare Pad per collegare dei nuovi elementi).

Per poter utilizzare questo strumento lo schizzo DEVE essere mappato su una faccia.

Come capire se la linea è stata tratta

Se la linea è tratta con successo diventa di colore magenta. Se non viene tratta, rimane verde.

Analogia con le Linee di costruzione

Le linee magenta di geometria esterna possono essere usate come Linee di costruzione. Le linee di costruzione sono linee che sono interne al disegno e sono utilizzate per la costruzione della geometria, ma non per le successive operazioni di modellazione di solidi, quali ad es. le estrusioni.

I due principali utilizzi delle linee geometria esterna

Nel flusso di lavoro dell'ambiente PartDesign, lo strumento geometria esterna viene utilizzato per supportare il posizionamento di un aspetto del solido che si sta costruendo, relativo alla fase precedente nella sua costruzione. L'ambiente PartDesign è destinato a produrre un unico solido, quindi questi schizzi con geometria esterna vengono utilizzati per creare una nuova funzionalità di un singolo solido.

Lo strumento Geometria esterna può, per esempio, essere utilizzato come riferimento per un vincolo utilizzato per posizionare un foro in un oggetto, in una data posizione con riferimento a un bordo o ad un vertice.

Uso della geometria esterna in un flusso di lavoro di Part

È possibile utilizzare qualsiasi geometria della parte che si trova nel sistema di coordinate dello schizzo. Si consiglia di collegarsi alla prima caratteristica possibile, in quanto forma un collegamento più stabile.

In v0.16 e versioni precedenti, lo schizzo deve essere mappato su una faccia per utilizzare questo strumento. Dalla v0.17, questa limitazione è stata eliminata.

Esempio

Quello sottostante è uno schizzo mappato sulla faccia superiore di un solido creato da una estrusione di uno schizzo precedente. Le linee magenta sono la Geometria esterna collegata a due bordi di questo Pad preesistente.

In questo caso sono utilizzati come riferimento per i vincoli di tangenza con la circonferenza di un cerchio. Essi sono utilizzati anche come riferimento per un vincolo orizzontale e un vincolo verticale per individuare il centro del secondo cerchio rispetto all'estremità e al lato superiore del pad.

Sketcher ExternalEsempio2.png

Questo è lo stesso schizzo in modalità di modifica, ma il Pad su cui è mappato è nascosto.

Sketcher ExternalEsempio4.png

Quando lo schizzo viene chiuso le linee Geometria esterna non sono più visibili.

Sketcher ExternalEsempio3.png

Arrow-left.svg Sketcher Extend.svg Estendi lo spigolo Pagina precedente:
Pagina successiva: Copia carbone Sketcher CarbonCopy.svg Arrow-right.svg

Arrow-left.svg Sketcher CarbonCopy.svg Copia carbone Pagina precedente:
Pagina successiva: Vincolo coincidenza Sketcher ConstrainCoincident.png Arrow-right.svg

Sketcher AlterConstruction.svg Geometria di costruzione

Posizione nel menu
Sketcher → Geometrie → Geometrie di costruzione
Ambiente
Sketcher
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno


Descrizione

Questo strumento commuta una geometria dello schizzo da/in modalità Geometria di costruzione. Può essere utilizzato su qualsiasi tipo di geometria: linea, arco o cerchio.

La funzione Elemento di costruzione costituisce uno strumento importante e molto utile nel disegno di uno schizzo.

Quando si utilizza lo schizzo per una operazione 3D, la geometria definita di costruzione viene ignorata e non produce nessun effetto.

In modalità Modifica schizzo, la geometria di costruzione è indicata in blu, e non diventa verde fino a quando tutto lo schizzo non è completamente vincolato.

Quando si esce dalla modalità di disegno, la geometria di costruzione viene nascosta e non è più visibile sullo schermo.

Le linee di costruzione possono essere utilizzate come assi di rotazione per eseguire operazioni di rivoluzione in PartDesign.

Sketcher ConstructionMode fr 01.png

Utilizzo

  1. Selezionare una o più geometrie nello schizzo in vista 3D, poi fare clic sullo strumento o accedere alla funzione tramite il menu.

Esempio

Utilizzando la modalità di costruzione lo schizzo viene modificato,

Sketcher ConstructionMode fr 01.png

e finito lo schizzo gli elementi utilizzati per la costruzione diventano invisibili sullo schermo (ma sono ancora presenti in modalità modifica di Sketcher).

Sketcher ConstructionMode fr 02.png

Arrow-left.svg Sketcher CarbonCopy.svg Copia carbone Pagina precedente:
Pagina successiva: Vincolo coincidenza Sketcher ConstrainCoincident.png Arrow-right.svg

Ambiente Sketcher: I vincoli

Constraint Lock/it

Constraint PointOnPoint/it

Constraint PointOnObject/it

Constraint HorizontalDistance/it

Constraint VerticalDistance/it

Constraint Vertical/it

Constraint Horizontal/it

Constraint Length/it

Constraint Radius/it

Constraint Parallel/it

Constraint Perpendicular/it

Constraint InternalAngle/it

Constraint Tangent.svg Tangente

Posizione nel menu
PartDesign → Schizzo → Tangente
Ambiente
Schizzo, PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Punto su oggetto


Descrizione

Il vincolo Tangente costringe due curve ad essere tangenti. Le linee sono trattate come infinite, e gli archi sono trattati come cerchi o ellissi completi. Il vincolo è anche in grado di collegare due curve costringendole ad essere tangenti nella giunzione, e quindi rende levigata la loro congiunzione.

Uso

Il vincolo può essere applicato in quattro modi diversi:

  1. tra due curve (non disponibile per tutte le curve)
  2. tra due punti finali di curve, crea una giunzione liscia
  3. tra una curva e il punto finale di un'altra curva
  4. tra due curve in un punto definito dall'utente

Per applicare il vincolo di tangenza, si dovrebbe usare la seguente procedura:

  • Selezionare due o tre entità nello schizzo.
  • Invocare il vincolo facendo clic sull'icona nella barra degli strumenti, oppure selezionando la voce del menu, oppure usando la scorciatoia da tastiera.

Tra due curve (tangenza diretta)

Sketcher ConsraintTangent mode1.png

Rende tangenti due curve, e il punto di tangenza è implicito. Questa modalità si applica se sono state selezionate due curve.

Selezioni accettate:

  • linea + linea, cerchio, arco, ellisse, arco-di-ellisse
  • cerchio, arco + cerchio, arco

Se tra le curve selezionate la "tangenza diretta" non è supportata (ad esempio, tra un cerchio e un'ellisse), nello schizzo viene automaticamente aggiunto un punto di supporto e viene applicata la "tangenza nel punto".

Non è consigliabile ricostruire il punto di tangenza creando un punto e vincolandolo ad appartenere ad entrambe le curve. Questo metodo funziona, ma la convergenza è molto lenta, e richiede circa il doppio delle iterazioni di una convergenza normale. Se il punto di tangenza è proprio necessario conviene utilizzare gli altri modi di applicazione di questo vincolo.

Tra due punti finali (tangenza punto con punto)

Sketcher ConsraintTangent mode2.png

In questa modalità, i punti finali sono resi coincidenti, e la giunzione è creata tangente; C1-liscio, o "brusco", a seconda del posizionamento delle curve prima dell'applicazione del vincolo. Questa modalità viene applicata quando sono stati selezionati due punti finali di due curve.

Selezioni accettate:

  • punto finale di linea/arco/arco-di-ellisse + punto finale di linea/arco/arco-di-ellisse, cioè due punti finali di qualsiasi due curve

Tra una curva e un punto finale (tangenza punto con curva)

Sketcher ConsraintTangent mode3.png

In questo modo, il punto finale di una curva è vincolato a giacere sull'altra curva, e le curve sono forzate ad essere tangenti nel punto. Questa modalità viene applicata quando sono stati selezionati una curva e un punto finale di un'altra curva.

Selezioni accettate:

  • linea, cerchio, arco, ellisse, arco-di-ellisse + punto finale di linea/arco/arco-di-ellisse (qualsiasi curva + punto finale di qualsiasi curva)


Tra due curve nel punto (tangenza nel punto) (v0.15)

Sketcher ConsraintTangent mode4.png

In questo modo, sono rese tangenti due curve, e il punto di tangenza è monitorato. Questa modalità viene applicata quando sono state selezionate due curve e un punto.

Selezioni accettate:

  • qualsiasi linea/curva + qualsiasi linea/curva + qualsiasi punto

"Qualsiasi punto" può essere un punto generico, o un punto di qualcosa, ad esempio il centro di un cerchio, il punto finale di un arco, o l'origine.

Affinchè il vincolo funzioni correttamente, il punto deve appartenere a entrambe le curve. Così, quando il vincolo viene invocato, il punto viene vincolato automaticamente su entrambe le curve, e le curve sono forzate tangenti nel punto. Se è necessario sono anche aggiunti dei vincoli di supporto. I vincoli di supporto sono dei normali vincoli e possono essere aggiunti o eliminati manualmente.

Rispetto alla tangenza diretta, questo vincolo è più lento, perché sono coinvolti i gradi di libertà, ma se il punto di tangenza è necessario, è la modalità consigliata perché offre una migliore convergenza rispetto alla tangenza diretta + punto su due curve.

La posizione del punto selezionato prima di applicare il vincolo serve al solutore per sapere dove deve applicare la tangenza. Con questo vincolo, si può costringere due ellissi a toccarsi in due posti.

Script

I vincoli di tangenza possono essere creati con le macro e dalla console di Python utilizzando la seguente funzione:

# direct tangency
Sketch.addConstraint(Sketcher.Constraint('Tangent',icurve1,icurve2))

# point-to-point tangency
Sketch.addConstraint(Sketcher.Constraint('Tangent',icurve1,pointpos1,icurve2,pointpos2))

# point-to-curve tangency
Sketch.addConstraint(Sketcher.Constraint('Tangent',icurve1,pointpos1,icurve2))

# tangent-via-point (plain constraint, helpers are not added automatically)
Sketch.addConstraint(Sketcher.Constraint('TangentViaPoint',icurve1,icurve2,geoidpoint,pointpos))

Dove:

  • Sketch è un oggetto sketch
  • icurve1, icurve2 sono due numeri interi che identificano le curve da rendere tangenti. I numeri interi sono gli indici nello schizzo (il valore, reso da Sketch.addGeometry).
  • pointpos1, pointpos2 dovrebbe essere 1 per il punto iniziale e 2 per il punto finale.
  • geoidpoint and pointpos in TangentViaPoint sono gli indici che specificano il punto di tangenza.

Constraint EqualLength/it

Constraint Symmetric/it

Ambiente Sketcher: Gestione degli schizzi


FreeCAD.png
Pagina successiva: Modifica schizzo Sketcher EditSketch.png Arrow-right.svg

Sketcher NewSketch.svg Crea Schizzo

Posizione nel menu
Part design → Crea uno sketch
Ambiente
Sketcher
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Mappa schizzo, Riposiziona schizzo


Descrizione

Questo strumento crea un nuovo schizzo.

Notare che l'ambiente PartDesign ha un suo proprio comando nuovo schizzo, quando si usa PartDesign è preferibile utilizzare il suo proprio strumento dedicato.

Utilizzo

Cliccando sull'icona senza una faccia (pre) selezionata appare una finestra di dialogo che chiede se lo schizzo deve essere disegnato sul

  • Piano XY
  • Piano XZ
  • Piano YZ

È possibile assegnare un offset su uno qualsiasi dei tre piani e definire il lato dell'offset.

Facendo clic sull'icona con una faccia preselezionata, lo schizzo viene mappato sulla faccia selezionata.

Note

Lo schizzo può essere rimappato su un'altra faccia esistente usando il comando Mappa schizzo.

Lo schizzo può essere spostato nello spazio 3D utilizzando Posizionamento.


FreeCAD.png
Pagina successiva: Modifica schizzo Sketcher EditSketch.png Arrow-right.svg

Arrow-left.svg Sketcher LeaveSketch.png Esci dallo schizzo Pagina precedente:
Pagina successiva: Vista sezione Sketcher ViewSection.png Arrow-right.svg

Sketcher ViewSketch.svg Vista schizzo

Posizione nel menu
Schizzo → Vista schizzo
Ambiente
Sketcher, PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno


Descrizione

Questo strumento imposta la vista del modello perpendicolare al piano dello schizzo. È utile quando l'utente ha modificato l'orientamento della vista del modello per esaminare un altro particolare del modello e vuole tornare ad una visualizzazione normale dello schizzo.

Utilizzo

In modalità Modifica schizzo usare uno dei seguenti modi:

  • Cliccare sull'icona View sketch icon Vista schizzo nella barra degli strumenti di Schizzo o di Part Design, oppure
  • Usare il comando del menu Schizzo → Vista perpendicolare al piano dello schizzo.


Arrow-left.svg Sketcher LeaveSketch.png Esci dallo schizzo Pagina precedente:
Pagina successiva: Vista sezione Sketcher ViewSection.png Arrow-right.svg

Arrow-left.svg Sketcher ViewSection.png Vista schizzo Pagina precedente:
Pagina successiva: Riposiziona schizzo Arrow-right.svg

Sketcher MapSketch.svg Mappa Schizzo

Posizione nel menu
Part design → Mappa sketch su faccia
Ambiente
Sketcher, PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Crea nuovo schizzo


Descrizione

Mappa uno Schizzo già esistente nel progetto su una faccia planare selezionata in una forma. Permette di utilizzare uno schizzo realizzato in precedenza, di modificarlo e, inoltre, di riposizionarlo sul piano definito dalla faccia selezionata. Le funzioni PartDesign create da questo disegno saranno fuse con il solido di base per le funzionalità additive (PAD, Rivoluzione) o sottratte dal solido di base nel caso di funzioni sottrattive (Scavo, Scanalatura).

Notare che questo strumento non serve per creare i nuovi disegni. Mappa o rimappa uno schizzo esistente alla faccia di un solido o di una funzione PartDesign. Casi d'uso tipici sono:

  • Lo schizzo è stato creato su un piano standard (XY, XZ, YZ) e si desidera mapparlo sulla faccia di un solido al fine di costruire una funzione su di esso.
  • Lo schizzo è stato mappato su una faccia di un solido, ma è necessario associarlo ad una faccia diversa.
  • Riparazione di un modello rovinato.
Sketcher MapSketch 00.png

Usage

Utilizzo

  1. Selezionare la faccia della forma su cui si vuole applicare lo schizzo
  2. Fare clic sul pulsante Sketcher MapSketch.png Mappa uno schizzo su una faccia per selezionare lo schizzo da utilizzare.
  3. Selezionare lo schizzo. Questa azione posiziona automaticamente lo schizzo selezionato sul piano della faccia attiva, anche se faccia e schizzo sono orientati diversamente, e avvia l'ambiente Sketcher per consentire eventuali modifiche allo schizzo stesso.

Uso per riparare un modello rovinato

Mappa schizzo viene spesso utilizzato durante la riparazione di un modello danneggiato.

Un caso d'uso comune è quando il grafico delle dipendenze è stato rotto. Si può visualizzare il grafico delle dipendenze da Strumenti → Grafico delle dipendenze. Questo può accadere quando si elimina una funzione nel mezzo dell'albero del modello. Nell'esempio seguente interromperemo e ripareremo un modello.

Questo è il modello base. Ha un pad, una tasca e un pad all'interno della tasca. Notare che il grafico delle dipendenze è lineare.

JschremppFCADEdit1.png

Ora abbiamo eliminato la tasca e lo schizzo che ha creato la tasca (Pocket e Sketch001). Notare che ora il grafico delle dipendenze è interrotto. Per riparare questo modello, vogliamo allegare Sketch002 alla faccia superiore del Pad. Nella vista del modello si può vedere che sarebbe facile selezionare la faccia sbagliata.

JschremppFCADEdit2.png

Per riparare il modello, prima cambiamo la visibilità dei solidi. Nascondiamo Pad001 e rendiamo visibile Pad.

JschremppFCADEdit3.png

Ora selezioniamo la faccia superiore di Pad e quindi selezioniamo lo strumento Mappa schizzo su faccia. Nella finestra di dialogo che appare selezioniamo Sketch002. Ora il nostro modello è riparato. Nell'albero del modello rendiamo Pad001 visibile e nascondiamo Pad, quindi possiamo vedere il modello corretto.

JschremppFCADEdit4.png

Arrow-left.svg Sketcher ViewSection.png Vista schizzo Pagina precedente:
Pagina successiva: Riposiziona schizzo Arrow-right.svg

Arrow-left.svg Dialogo di sketcher Pagina precedente:
Pagina successiva: Vista schizzo Sketcher ViewSketch.png Arrow-right.svg

Sketcher LeaveSketch.svg Esci

Posizione nel menu
Sketch/Part Design → Esci
Ambiente
Schizzo, PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno


Descrizione

Il comando Esci dallo schizzo esce dalla modalità di modifica dello schizzo e libera la scheda Azioni.

Utilizzo

  • Premere il pulsante Sketcher LeaveSketch.svg Esci, o il pulsante Close nella parte superiore della scheda Azioni.


Arrow-left.svg Dialogo di sketcher Pagina precedente:
Pagina successiva: Vista schizzo Sketcher ViewSketch.png Arrow-right.svg

Arrow-left.svg Sketcher MapSketch.png Mappa schizzo su faccia Pagina precedente:
Pagina successiva: Convalida lo schizzo Arrow-right.svg

Riposiziona Schizzo

Posizione nel menu
Part design → Riposiziona sketch
Ambiente
Sketcher, PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Mappa schizzo, Nuovo schizzo


Descrizione

Questo strumento permette di svincolare uno schizzo dal piano che lo contiene e di riposizionarlo su un nuovo piano.

Utilizzo

  1. Selezionare lo schizzo da riposizionare.
  2. Avviare lo strumento Sketch Riorienta lo schizzo dal menu principale.
  3. Appare un menu pop-up che chiede se si desidera staccare lo schizzo dalla sua faccia
  4. Selezionando Yes si ottiene lo stesso menu del comando Sketch Nuovo schizzo
  5. È possibile posizionare lo schizzo su uno dei piani principali
  6. C'è anche la possibilità di aggiungere un offset positivo o negativo, una distanza dal piano principale.

La finestra di dialogo che permette di impostare il nuovo Draft SelectPlane.png piano dello schizzo. Il piano può essere uno dei piani standard o un piano parallelo a uno di questi.

La finestra per definire il piano:

Finestra di selezione del piano

Orientamento dello schizzo

  • Piano XY View-top.svg
  • Piano XZ View-front.svg
  • Piano YZ View-right.svg


  • Direzione inversa del piano, ad esempio vista dall'alto oppure vista dal basso.
  • Scostamento del piano rispetto alle coordinate dell'origine 0, 0, 0.


Note

  • Quando si seleziona Cancel nel secondo menù lo schizzo viene semplicemente staccato dalla sua faccia.
  • Se non c'è uno schizzo selezionato il comando è disattivato.
Arrow-left.svg Sketcher MapSketch.png Mappa schizzo su faccia Pagina precedente:
Pagina successiva: Convalida lo schizzo Arrow-right.svg


Ambiente Sketcher: Altri strumenti e strumenti non documentati

Sezione in costruzione


Questa sezione elenca una serie di comandi che non sono ancora inclusi in questo documento. Alcuni di questi strumenti sono recenti o sono in fase di sviluppo. Per avere maggiori informazioni consultare la Guida in linea o visitare il forum


Arrow-left.svg Riposiziona schizzo Pagina precedente:
Pagina successiva: Unisci schizzi Sketcher MergeSketch.png Arrow-right.svg

Convalida lo schizzo

Posizione nel menu
Sketch/Part Design → Convalida lo schizzo...
Ambiente
Sketcher, PartDesign
Avvio veloce
Nessuno
Introdotto nella versione
-
Vedere anche
Nessuno


Descrizione

L'utilità Convalida lo schizzo può essere usata per riparare uno schizzo che non è più modificabile, cha ha vincoli non validi, o per aggiungere vincoli di coincidenza a uno schizzo creato da una geometria importata come file DXF. Può anche essere utile individuare una coincidenza mancante in uno schizzo nativo che genera un errore "can't validate broken face" quando si tenta di applicare una funzione di PartDesign.


Sketcher validation tasks it.png


Utilizzo

  1. Selezionare lo schizzo da convalidare, dall'albero del modello o facendo clic su uno dei suoi bordi nella vista 3D. Nota: lo schizzo non deve essere in modalità di modifica. Se si è in modalità di modifica dello schizzo, è necessario usire dallo schizzo.
  2. Aprire l'utility di convalida dal menu Schizzo o Part Design.
  3. Selezionare le sottostanto opzioni per l'operazione.
  4. Premere il pulsante Chiudi quando fatto.

Opzioni

Coincidenze mancanti

Trova coincidenze mancanti per i vertici sovrapposti e li aggiunge. Premere il pulsante Trova; appare una finestra di dialogo per segnalare quante coincidenze mancanti sono state trovate; sono mostrate nella vista 3D come croci gialle. Premere OK per chiudere la finestra di dialogo, quindi premere il pulsante Ripara per aggiungere le coincidenze mancanti.

Se necessario, definire un valore di tolleranza maggiore nel campo a discesa.

Lasciare selezionata la casella di controllo "Ignora la geometria di costruzione" per ignorare la geometria di costruzione nell'analisi.

Vincoli non validi

Geometria esterna reversa

Vincolo orientamento bloccato

Arrow-left.svg Riposiziona schizzo Pagina precedente:
Pagina successiva: Unisci schizzi Sketcher MergeSketch.png Arrow-right.svg


Altre lingue: {{}}